org.optaplanner.core.impl.localsearch.decider.acceptor.greatdeluge

## Class GreatDelugeAcceptor

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
    - - org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor
      - - org.optaplanner.core.impl.localsearch.decider.acceptor.greatdeluge.GreatDelugeAcceptor

- All Implemented Interfaces:
    EventListener, Acceptor, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

      public class GreatDelugeAcceptor
      extends AbstractAcceptor

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GreatDelugeAcceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Score` | `getInitialWaterLevel()`
    `Double` | `getWaterLevelIncrementRatio()`
    `Score` | `getWaterLevelIncrementScore()`
    `boolean` | `isAccepted(LocalSearchMoveScope moveScope)`
    `void` | `phaseEnded(LocalSearchPhaseScope phaseScope)`
    `void` | `phaseStarted(LocalSearchPhaseScope phaseScope)`
    `void` | `setInitialWaterLevel(Score initialLevel)`
    `void` | `setWaterLevelIncrementRatio(Double waterLevelIncrementRatio)`
    `void` | `setWaterLevelIncrementScore(Score waterLevelIncrementScore)`
    `void` | `stepEnded(LocalSearchStepScope stepScope)`

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter

      `stepStarted`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener

      `stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Constructor Detail

    - #### GreatDelugeAcceptor

          public GreatDelugeAcceptor()

  - ### Method Detail

    - #### getWaterLevelIncrementScore

          public Score getWaterLevelIncrementScore()

    - #### setWaterLevelIncrementScore

          public void setWaterLevelIncrementScore(Score waterLevelIncrementScore)

    - #### getInitialWaterLevel

          public Score getInitialWaterLevel()

    - #### setInitialWaterLevel

          public void setInitialWaterLevel(Score initialLevel)

    - #### getWaterLevelIncrementRatio

          public Double getWaterLevelIncrementRatio()

    - #### setWaterLevelIncrementRatio

          public void setWaterLevelIncrementRatio(Double waterLevelIncrementRatio)

    - #### phaseStarted

          public void phaseStarted(LocalSearchPhaseScope phaseScope)

      Specified by:
        `phaseStarted` in interface `LocalSearchPhaseLifecycleListener`
      Overrides:
        `phaseStarted` in class `LocalSearchPhaseLifecycleListenerAdapter`

    - #### phaseEnded

          public void phaseEnded(LocalSearchPhaseScope phaseScope)

      Specified by:
        `phaseEnded` in interface `LocalSearchPhaseLifecycleListener`
      Overrides:
        `phaseEnded` in class `LocalSearchPhaseLifecycleListenerAdapter`

    - #### isAccepted

          public boolean isAccepted(LocalSearchMoveScope moveScope)

      Parameters:
        `moveScope` - not null
      Returns:
        true if accepted

    - #### stepEnded

          public void stepEnded(LocalSearchStepScope stepScope)

      Specified by:
        `stepEnded` in interface `LocalSearchPhaseLifecycleListener`
      Overrides:
        `stepEnded` in class `LocalSearchPhaseLifecycleListenerAdapter`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.